be.ehealth.businessconnector.vsbnetinsurability.builder

## Interface RequestBuilder

- All Known Implementing Classes:
    RequestBuilderImpl

      public interface RequestBuilder

  builds request objects for `VSBNetInsurabilitySessionService`.
  Default impl: `RequestBuilderImpl` Factory : `VSBNetInsurabilityRequestBuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetInsurabilityRequest` | `buildGetInsurabilityRequest(CommonInput commonInput, Routing routing, Blob blob)` builds the request object.
    `GetInsurabilityRequest` | `buildGetInsurabilityRequest(Routing routing, byte[] content, String uniqueInputReference)` builds the request object.

- - ### Method Detail

    - #### buildGetInsurabilityRequest

          GetInsurabilityRequest buildGetInsurabilityRequest(CommonInput commonInput,
                                                             Routing routing,
                                                             Blob blob)
                                                      throws TechnicalConnectorException

      builds the request object.
      Parameters:
        `commonInput` - commonInput as generated by mycarenet common builder
        `routing` - routing , as generated by mycarenet common builder
        `blob` - a Blob , with type 'text/xml' , contentEncoding 'none' and id (for Xades ). A HashValue must not be provided.
      Returns:
        `GetInsurabilityRequest`
      Throws:
        `TechnicalConnectorException`

    - #### buildGetInsurabilityRequest

          GetInsurabilityRequest buildGetInsurabilityRequest(Routing routing,
                                                             byte[] content,
                                                             String uniqueInputReference)
                                                      throws TechnicalConnectorException

      builds the request object.
      Parameters:
        `routing` - routing , as generated by mycarenet common builder
        `content` - byte array containing the business xml
      Returns:
        `GetInsurabilityRequest`
      Throws:
        `TechnicalConnectorException`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.